classkit_method_redefine
classkit_method_rename
Classkit Functions
PHP Manual

# classkit_method_remove

(PECL classkit >= 0.1)

classkit_method_remove — Dynamically removes the given method

### Description

bool classkit_method_remove ( string `$classname` , string `$methodname` )

> Note: This function cannot be used to manipulate the currently running (or chained) method.

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`classname`

  The class in which to remove the method

`methodname`

  The name of the method to remove

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 classkit_method_remove() example

`<?php
class Example {
function foo() {
return "foo!\n";
}
function bar() {
return "bar!\n";
}
}
// Remove the 'foo' method
classkit_method_remove(
'Example',
'foo'
);
echo implode(' ', get_class_methods('Example'));
?>`

The above example will output:

    bar

### See Also

- classkit_method_add() - Dynamically adds a new method to a given class
- classkit_method_copy() - Copies a method from class to another
- classkit_method_redefine() - Dynamically changes the code of the given method
- classkit_method_rename() - Dynamically changes the name of the given method

classkit_method_redefine
classkit_method_rename
Classkit Functions
PHP Manual